import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/bizconfig/` + url, ...arg)

/**
 * 系统配置Api接口管理器
 *
 * @author fanzherong
 * @date  2025/03/20 15:40
 **/
export default {
	// 获取系统配置分页
	bizConfigPage(data) {
		return request('page', data, 'get')
	},
	// 提交系统配置表单 edit为true时为编辑，默认为新增
	bizConfigSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除系统配置
	bizConfigDelete(data) {
		return request('delete', data)
	},
	// 获取系统配置详情
	bizConfigDetail(data) {
		return request('detail', data, 'get')
	}
}
